Quick reference: Upgrading all outdated pip packages

Simply execute:

$ pip list --outdated | cut -d' ' -f1 | xargs pip install --upgrade

for any version of pip that has the list command (which I believe is 1.3+.)

Comments

Comments powered by Disqus